### Class

# Foundry OnTypeFormatter

#### Description [src]

    abstract class Foundry.OnTypeFormatter : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for plugins to implement formatting as you type.

#### Ancestors

- GObject

#### Instance methods

###### foundry_on_type_formatter_indent

Indents the text at `iter`.

###### foundry_on_type_formatter_is_trigger

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryOnTypeFormatterClass {
      GObjectClass parent_class;
      gboolean (* is_trigger) (
        FoundryOnTypeFormatter* self,
        FoundryTextDocument* document,
        const FoundryTextIter* iter,
        FoundryModifierType state,
        guint keyval
      );
      void (* indent) (
        FoundryOnTypeFormatter* self,
        FoundryTextDocument* document,
        FoundryTextIter* iter
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`is_trigger: gboolean (* is_trigger) ( FoundryOnTypeFormatter* self, FoundryTextDocument* document, const FoundryTextIter* iter, FoundryModifierType state, guint keyval )`

  No description available.

`indent: void (* indent) ( FoundryOnTypeFormatter* self, FoundryTextDocument* document, FoundryTextIter* iter )`

  No description available.

#### Virtual methods

###### Foundry.OnTypeFormatterClass.indent

Indents the text at `iter`.

###### Foundry.OnTypeFormatterClass.is_trigger

No description available.